# react-native-arps-authorize-net

This react-native plugin usage Authorize.Net accept method to get token for the payment request made for given payment method.

## Installation

```sh
npm install react-native-arps-authorize-net
```

OR

```sh
yarn add react-native-arps-authorize-net
```
## Usage

```js

import {
  ArpsAuthorizeNetEnv,
  getTokenWithRequestForCard,
} from 'react-native-arps-authorize-net';

// ...

 const promise = getTokenWithRequestForCard({
            env: ArpsAuthorizeNetEnv.SANDBOX, //ArpsAuthorizeNetEnv.PRODUCTION
            cardValues: {
              loginID: '...',
              clientKey: '...',
              cardNumber: '4007000000027',
              cardCVV: '0000',
              expirationYear: 'YY',
              expirationMonth: 'MM',
              zipCode: '...', //Optional
              cardHolderName: '...', //Optional
            },
          });
          promise.then((value) => {
            console.log('resolved', value);
          });
          promise.catch((error) => {
            console.log('rejected', error);
          });
```


## License

MIT
